Skip to content

Create a new price

Request

Security
JWT
Bodyapplication/jsonrequired
One of:
pricing_typeanyrequired
Value:"fixed"
fees_amountnumberrequired
fees_currencystringrequired
bpsnumber, >= 1

Basis points for the pricing.

Example:1000
set_as_defaultboolean

Set this pricing as default for the business. Overrides the previously set default if set to 'true'.

Example:"true"
POST
/prices
curl -i -X POST \
  https://api.glomopay.com/api/v1/prices \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pricing_type": "fixed",
    "fees_currency": "USD",
    "fees_amount": 1000,
    "bps": 1000,
    "set_as_default": "true"
  }'

Responses

Payout created successfully

Bodyapplication/json
idstringread-only

The unique identifier for the payin.

Example:"price_DdWp_HUbOnlg"
pricing_typestring

The type of pricing to be applied.

Enum:"fixed""percentage"
Example:"fixed"
fees_amountnumber, >= 1

The amount that will be deducted from your balance for this pricing. A positive integer representing the smallest currency unit. For example, if the amount is $299.00, then pass 29900 in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ¥295, pass the value as 295

Example:1000
fees_currencystring, (iso-4217)

The currency code in ISO 4217 format.

Example:"USD"
bpsnumber, >= 1

Basis points for the pricing.

Example:1000
set_as_defaultboolean

Set this pricing as default for the business. Overrides the previously set default if set to 'true'.

Example:"true"
created_atstring, (timestamp)read-only

Timestamp representing when the payin was created

Example:"2021-06-01T12:00:00Z"
updated_atstring, (timestamp)read-only

Timestamp representing when the payin was last updated

Example:"2021-06-01T12:00:00Z"
Response
{ "id": "price_DdWp_HUbOnlg", "pricing_type": "fixed", "fees_amount": 1000, "fees_currency": "USD", "bps": 1000, "set_as_default": "true", "created_at": "2021-06-01T12:00:00Z", "updated_at": "2021-06-01T12:00:00Z" }